SerialPort.h File Reference
`#include <string>`
`#include <vector>`
`#include <stdexcept>`
`#include <termios.h>`
Include dependency graph for SerialPort.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | SerialPort
class | SerialPort::NotOpen
class | SerialPort::OpenFailed
class | SerialPort::AlreadyOpen
class | SerialPort::UnsupportedBaudRate
class | SerialPort::ReadTimeout